package com.cool.store.service;

import com.cool.store.entity.LeaseBaseInfoDO;
import com.cool.store.request.TrainingExperienceDistributionRequest;

public interface TrainingExperienceService {
    /**
     * 实训分配
     * @param request
     * @return
     */
    boolean distribution(TrainingExperienceDistributionRequest request);

    /**
     * 实训状态变更
     * @param lineId
     * @param status
     * @param abandonCause
     */
    void experienceStatusChange(Long lineId, Integer status, String abandonCause);

    LeaseBaseInfoDO getTrainingExperience(Long lineId);


}
